Skip to main content
`Ctrl`+`K`

# MatNullSpace

Object that removes a null space from a vector, i.e. orthogonalizes the vector to a subspace

## Synopsis

    typedef struct _p_MatNullSpace *MatNullSpace;

## See Also

Matrices, `Mat`, `MatNullSpaceCreate()`, `MatNullSpaceSetFunction()`, `MatGetNullSpace()`, `MatSetNullSpace()`

## Level

advanced

## Location

include/petscmat.h

## Examples

src/ksp/ksp/tutorials/ex50.c
src/ksp/ksp/tutorials/ex32.c
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex34.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex2.c
src/ksp/ksp/tutorials/ex29.c
src/ksp/ksp/tutorials/ex49.c

## Implementations

_p_MatNullSpace in include/petsc/private/matimpl.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages